Flutter Installation on Linux (Manjaro)

Software Requirements

  1. Flutter SDK
  2. Phone Emulator (Andriod or IOS)
  3. Integrated Development Environment (IDE)
    1. Android Studio 3.x
    2. Visual Studio Code
    3. Intellij Community Edition
  4. Plugins

Launch the GUI pacman, on the seach dialog type “flutter”

Note: the flutter package comes from AUR repository, may sure you enable AUR setting at the GUI pacman’s preference menu.

Select the checkbox next the flutter description

Select ‘Apply’ button to initiate the installation of flutter.

Install Plugins

Android studios required Flutter and Dart to be installed to work with Flutter projects. Use The Android Studio Plugins Menu for installation of Flutter and Dart plugins.